use super::renderer_integration::RendererIntegration;
use duster::renderer::DustRenderer;
use serde::Serialize;

pub(crate) struct DusterRenderer {}

impl RendererIntegration for DusterRenderer {
    fn load_templates<I, P>(&mut self, dust_templates: I) -> Result<(), crate::error::CustomError>
    where
        I: Iterator<Item = P>,
        P: Into<std::path::PathBuf>,
    {
        // TODO
        Ok(())
    }

    fn render<C>(&self, context: C) -> Result<String, crate::error::CustomError>
    where
        C: Serialize,
    {
        let mut dust_renderer = DustRenderer::new();
        println!("{}", serde_json::to_string(&context)?);

        // TODO
        Ok("".to_owned())
    }
}
